<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package croccante
 */

?>

	</div><!-- #content -->
	</div><!-- .croccante-inner -->
	<?php $showSearchButton = croccante_options('_search_button', '1');
	if ($showSearchButton) : ?>
	<!-- Start: Search Form -->
	<div class="opacityBoxSearch"></div>
	<div class="search-container">
		<?php get_search_form(); ?>
	</div>
	<!-- End: Search Form -->
	<?php endif; ?>
	<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'footer' ) ) : ?>
		<footer id="colophon" class="site-footer">
			<?php if ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) ) : ?>
				<div class="footerArea">
					<div class="croccanteFooterWidget">
						<?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
							<aside id="footer-1" class="widget-area footer">
								<?php dynamic_sidebar( 'footer-1' ); ?>
							</aside><!-- #footer-1 -->
						<?php endif; ?>
						<?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
							<aside id="footer-2" class="widget-area footer">
								<?php dynamic_sidebar( 'footer-2' ); ?>
							</aside><!-- #footer-2 -->
						<?php endif; ?>
						<?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
							<aside id="footer-3" class="widget-area footer">
								<?php dynamic_sidebar( 'footer-3' ); ?>
							</aside><!-- #footer-3 -->
						<?php endif; ?>
					</div>
				</div>
			<?php endif; ?>
			<div class="site-copy-down">
				<div class="site-info">
					<?php
					$copyrightText = croccante_options('_copyright_text', '&copy; '.date('Y').' '. get_bloginfo('name'));
					if ($copyrightText || is_customize_preview()) {
						echo '<span class="custom">' . do_shortcode(wp_kses($copyrightText, croccante_allowed_html())) . '</span>';
					}
					?>
					<span class="sep"> | </span>
					<?php 
					/* translators: 1: theme name, 2: theme developer */
					printf( esc_html__( 'WordPress Theme: %1$s by %2$s.', 'croccante' ), '<a target="_blank" href="https://crestaproject.com/downloads/croccante/" rel="noopener noreferrer" title="Croccante Theme">Croccante</a>', 'CrestaProject' );
					?>
				</div><!-- .site-info -->
				<div class="site-social">
					<?php croccante_show_social_network();
					$scrollToTopMobile = croccante_options('_scroll_top', '');
					?>
					<a href="#top" id="toTop" aria-hidden="true" class="<?php echo $scrollToTopMobile ? 'scrolltop_on' : 'scrolltop_off' ?>"><i class="fa fa-angle-up fa-lg"></i></a>
				</div><!-- .site-social -->
			</div><!-- .site-copy-down -->
		</footer><!-- #colophon -->
	<?php endif; ?>
</div><!-- #page -->
<?php wp_footer(); ?>

</body>
</html>
